Bug 230254 - ACPI errors with PIIX
ACPI errors with PIIX
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-27 15:03 EST by Frank de Lange
Modified: 2013-07-02 22:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:14:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank de Lange 2007-02-27 15:03:01 EST
Description of problem:
Recent dev kernels produce a stream of ACPI errors related to PIIX-attached PATA
peripherals

Version-Release number of selected component (if applicable):
kernel-2.6.20-1.2942.fc7.src.rpm

How reproducible:
Just boot the kernel

Steps to Reproduce:
1. Boot said kernel on system with PIIX controller (and possibly a BIOS related
to the one on my Acer-produced laptop)
2.
3.
  
Actual results:
ACPI Error (dsopcode-0481): Attempt to CreateField of length zero [20070126]
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0.IIDE.GTFB] 
(Node c1abe464), AE_AML_OPERAND_VALUE
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0.IIDE.IDE0.D
RVM._GTF] (Node c1abe784), AE_AML_OPERAND_VALUE
ata1.00: ATA-5: IBM-DJSA-220, JS4OAC3A, max UDMA/66
ata1.00: 39070080 sectors, multi 16: LBA 
ACPI Error (dsopcode-0481): Attempt to CreateField of length zero [20070126]
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0.IIDE.GTFB] 
(Node c1abe464), AE_AML_OPERAND_VALUE
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0.IIDE.IDE0.D
RVM._GTF] (Node c1abe784), AE_AML_OPERAND_VALUE
ata1.00: configured for UDMA/66
scsi1 : ata_piix
usb 2-1: configuration #1 chosen from 1 choice
ACPI Error (dsopcode-0481): Attempt to CreateField of length zero [20070126]
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0.IIDE.GTFB] 
(Node c1abe464), AE_AML_OPERAND_VALUE
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0.IIDE.IDE1.D
RVM._GTF] (Node c1abe644), AE_AML_OPERAND_VALUE
ata2.00: ATAPI, max UDMA/33
ata2.01: failed to IDENTIFY (I/O error, err_mask=0x1)
ata2: failed to recover some devices, retrying in 5 secs
ACPI Error (dsopcode-0481): Attempt to CreateField of length zero [20070126]
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0.IIDE.GTFB] 
(Node c1abe464), AE_AML_OPERAND_VALUE
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0.IIDE.IDE1.D
RVM._GTF] (Node c1abe644), AE_AML_OPERAND_VALUE
ata2.01: failed to IDENTIFY (I/O error, err_mask=0x1)
ata2: failed to recover some devices, retrying in 5 secs
ACPI Error (dsopcode-0481): Attempt to CreateField of length zero [20070126]
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0.IIDE.GTFB] 
(Node c1abe464), AE_AML_OPERAND_VALUE
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0.IIDE.IDE1.D
RVM._GTF] (Node c1abe644), AE_AML_OPERAND_VALUE
ata2.01: failed to IDENTIFY (I/O error, err_mask=0x1)
ata2: failed to recover some devices, retrying in 5 secs
ACPI Error (dsopcode-0481): Attempt to CreateField of length zero [20070126]
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0.IIDE.GTFB] 
(Node c1abe464), AE_AML_OPERAND_VALUE
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0.IIDE.IDE1.D
RVM._GTF] (Node c1abe644), AE_AML_OPERAND_VALUE
ACPI Error (dsopcode-0481): Attempt to CreateField of length zero [20070126]
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0.IIDE.GTFB] 
(Node c1abe464), AE_AML_OPERAND_VALUE
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0.IIDE.IDE1.D
RVM._GTF] (Node c1abe644), AE_AML_OPERAND_VALUE
ata2.00: configured for UDMA/33

Expected results:
None of the above
Comment 1 Ronald Warsow 2007-02-28 10:26:22 EST
same here with 2.6.20-1.2949.fc7
Comment 2 Dave Jones 2007-04-23 15:07:13 EDT
how about with the current builds ?
Comment 3 Frank de Lange 2007-04-23 15:49:54 EDT
These errors are gone now. The same part of dmesg is now free from ACPI errors:


ata1.00: ATA-5: IBM-DJSA-220, JS4OAC3A, max UDMA/66
ata1.00: 39070080 sectors, multi 16: LBA 
ata1.00: configured for UDMA/66
scsi1 : ata_piix
ata2.01: failed to IDENTIFY (I/O error, err_mask=0x1)
ata2.01: failed to IDENTIFY (I/O error, err_mask=0x1)
ata2.01: limiting speed to UDMA7:PIO5
ata2.01: failed to IDENTIFY (I/O error, err_mask=0x1)
ata2.00: ATAPI, max UDMA/33
ata2.00: configured for UDMA/33

ACPI still is rumoured to be responsible for the synaptics touchpad b0rking out
every now and then but that is another barrel of fish...
Comment 4 Dave Jones 2007-04-23 16:01:01 EDT
can you attach lspci -n output please ?
Comment 5 Frank de Lange 2007-04-23 16:55:58 EDT
Timber!

[frank@gorgoroth frank]$ lspci -n
00:00.0 0600: 8086:1a30 (rev 04)
00:01.0 0604: 8086:1a31 (rev 04)
00:1e.0 0604: 8086:244e (rev 05)
00:1f.0 0601: 8086:2440 (rev 05)
00:1f.1 0101: 8086:244b (rev 05)
00:1f.2 0c03: 8086:2442 (rev 05)
00:1f.3 0c05: 8086:2443 (rev 05)
00:1f.4 0c03: 8086:2444 (rev 05)
00:1f.5 0401: 8086:2445 (rev 05)
01:00.0 0300: 1002:4c59
02:03.0 0c00: 104c:8026
02:05.0 0200: 10ec:8139 (rev 10)
02:07.0 0280: 1260:3886 (rev 01)
02:09.0 0607: 104c:ac55 (rev 01)
02:09.1 0607: 104c:ac55 (rev 01)
Comment 6 Bug Zapper 2008-04-03 15:16:59 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Bug Zapper 2008-05-06 21:14:29 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.